package com.yd.dal.service.customer;

import com.yd.dal.entity.customer.AclPractitionerPotentialAssigneds;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("aclPractitionerPotentialAssignedsDALService")
public interface AclPractitionerPotentialAssignedsDALService {

    void saveAll(List<AclPractitionerPotentialAssigneds> potentialAssignedsList);

    List<AclPractitionerPotentialAssigneds> findByPotentialIdAndPractitionerId(Long potentialId, Long practitionerId);

    void update(AclPractitionerPotentialAssigneds assigneds);

    List<AclPractitionerPotentialAssigneds> findByPractitionerId(Long practitionerId);

    List<AclPractitionerPotentialAssigneds> findByPractitionerIdAndPotentialIdList(Long practitionerId, List<Long> potentialIdList);
}
